#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		knotifyconfig

Summary:	Configuration dialog for desktop notifications
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	506aeb414202a910d56cb8f4d6bfa5c2
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Speech-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	libcanberra-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-dirs
Requires:	kf5-kconfig >= %{version}
Requires:	kf5-ki18n >= %{version}
Requires:	kf5-kio >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KNotifyConfig provides a configuration dialog for desktop
notifications which can be embedded in your application.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Widgets-devel >= %{qtver}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5NotifyConfig.so.5
%attr(755,root,root) %{_libdir}/libKF5NotifyConfig.so.*.*
%{_datadir}/qlogging-categories5/knotifyconfig.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KNotifyConfig
%{_libdir}/cmake/KF5NotifyConfig
%{_libdir}/libKF5NotifyConfig.so
%{qt5dir}/mkspecs/modules/qt_KNotifyConfig.pri
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-knotifyconfig.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 60d458f
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 64c80bd
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 50a327f
- rebuild against QT 5.15.7

* Wed Oct 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7f2ef90
- relup

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 97801f8
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 41a71d0
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1dd9f79
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6b17d73
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 87347a8
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> aa48451
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bb09ffe
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e4767d2
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e8fe024
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0f6d8a0
- updated to 5.92.0

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 737c591
- updated to 5.91.0

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 88e71ee
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4e3e56f
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8879cdb
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8359f0c
- updated to 5.87.0

* Thu Sep 23 2021 Jan Palus <atler@pld-linux.org> 82a5da2
- updated deps

